/*
 * BasicStatement.h
 *
 *  Created on: Dec 5, 2012
 *      Author: attero
 */

#ifndef BASICSTATEMENT_H_
#define BASICSTATEMENT_H_
#include <iostream>
#include "ASTExpression.h"
#include "ASTStatement.h"
#include "../Visitor.h"

/**
 * BasicStatement is just one simple statement which is actually some expression and (;) or not
 * or block of statements like { stat1; stat2; stat3; } of any type
 */
class BasicStatement : public ASTStatement {
public:
	BasicStatement();
	void add_expression(ASTExpression * expr);
	virtual SenchaObject evaluate();
	virtual SenchaObject execute();
	virtual void accept(Visitor * vistitor);
	virtual ~BasicStatement();
};

#endif /* BASICSTATEMENT_H_ */
